
From: Andrew Hodgson <a.s.hodgson@gmail.com>

o add some remote control codes
o not using HZ for control_msg-timeout

Signed-off-by: Andrew Hodgson <a.s.hodgson@gmail.com>
Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/a800.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-usb/a800.c~dvb-usb-a800-rc-and-timeout-fixes drivers/media/dvb/dvb-usb/a800.c
--- devel/drivers/media/dvb/dvb-usb/a800.c~dvb-usb-a800-rc-and-timeout-fixes	2005-07-01 21:14:09.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/a800.c	2005-07-01 21:14:09.000000000 -0700
@@ -61,6 +61,12 @@ static struct dvb_usb_rc_key a800_rc_key
 	{ 0x02, 0x00, KEY_LAST },        /* >>| / BLUE */
 	{ 0x02, 0x04, KEY_EPG },         /* EPG */
 	{ 0x02, 0x15, KEY_MENU },        /* MENU */
+
+	{ 0x03, 0x03, KEY_CHANNELUP },   /* CH UP */
+	{ 0x03, 0x02, KEY_CHANNELDOWN }, /* CH DOWN */
+	{ 0x03, 0x01, KEY_FIRST },       /* |<< / GREEN */
+	{ 0x03, 0x00, KEY_LAST },        /* >>| / BLUE */
+
 };
 
 int a800_rc_query(struct dvb_usb_device *d, u32 *event, int *state)
@@ -68,7 +74,7 @@ int a800_rc_query(struct dvb_usb_device 
 	u8 key[5];
 	if (usb_control_msg(d->udev,usb_rcvctrlpipe(d->udev,0),
 				0x04, USB_TYPE_VENDOR | USB_DIR_IN, 0, 0, key, 5,
-				2*HZ) != 5)
+				2000) != 5)
 		return -ENODEV;
 
 	/* call the universal NEC remote processor, to find out the key's state and event */
_
